#define event_breakdown
///event_breakdown()

event_parent();

play_sound(snd_breakdown);
obj_wagon.sprite_index = spr_wagon_breakdown;

prompt = "You must have hit a rock or something, because your wheel popped right off! What will you do?";

//1. Make a new wheel (5 wood)
//2. find the old wheel

if (global.supplies[SUPPLIES.WOOD] >= 5)
    {
    option[0] = "Make a new wheel out of 5 wood."
    event[0] = event_breakdown_make;
    
    option[1] = "Find the old wheel instead.";
    event[1] = event_breakdown_find;
    }
else
    {
    option[0] = "Find the old wheel.";
    event[0] = event_breakdown_find;
    }



#define event_breakdown_make
///event_breakdown_make

event_parent();

prompt = "It took you some time, but you were able to craft a new wheel.";
global.supplies[SUPPLIES.WOOD] -= 5;

global.event_score += 30;

//move on
background_hspeed[1] = -1;


#define event_breakdown_find
///event_breakdown_find()

event_parent();

if (irandom(100) < 40)
    {
    //found it!
    prompt = "Without too much of a hassle, you find the wheel and are able to reattach it.";
    //if you have tools, take 2 of em
    global.supplies[SUPPLIES.TOOLS] -= 2;
    if (global.supplies[SUPPLIES.TOOLS] < 0)
        {
        global.supplies[SUPPLIES.TOOLS] = 0;
        }
    
    //continue
    background_hspeed[1] = -1;
    }
else
    {
    //its unusable...
    //1. fix it up
    //2. patch it up
    //3. get out and push
    prompt = "You were able to find it, but it is heavily damaged. You'll need to repair it.";
    
    if (global.supplies[SUPPLIES.TOOLS] > 5)
        {
        option[0] = "Use 5 tools to repair it.";
        event[0] = event_breakdown_repair;
        }
    else
        {
        option[0] = "You don't have enough tools.";
        event[0] = -1;
        }
    
    if (global.supplies[SUPPLIES.CLOTH] > 5)
        {
        option[1] = "Use 5 cloth to patch it up.";
        event[1] = event_breakdown_patch;
        }
    else
        {
        option[1] = "You don't have enough cloth.";
        event[1] = -1;
        }
    
    option[2] = "Get out and push.";
    event[2] = event_breakdown_push;
    }

#define event_breakdown_repair
///event_breakdown_repair

event_parent();

prompt = "You successfully repaired your wheel, and got back on track.";
global.supplies[SUPPLIES.TOOLS] -= 5;

//take 3 wood if possible
global.supplies[SUPPLIES.WOOD] -= 3;
if (global.supplies[SUPPLIES.WOOD] < 0)
    {
    global.supplies[SUPPLIES.WOOD] = 0;
    }

//move on
background_hspeed[1] = -1;

#define event_breakdown_patch
///event_breakdown_patch

event_parent();

prompt = "You successfully patched up your wheel, and got back on the road.";
global.supplies[SUPPLIES.CLOTH] -= 5;

//take 3 wood if possible
global.supplies[SUPPLIES.WOOD] -= 3;
if (global.supplies[SUPPLIES.WOOD] < 0)
    {
    global.supplies[SUPPLIES.WOOD] = 0;
    }

//move on
background_hspeed[1] = -1;

#define event_breakdown_push
///event_breakdown_push

event_parent();

prompt = "Everybody got out to push... and you did, making everyone cranky, until you found a spare wheel on the road up ahead. What a surprise...";
lower_family_wellness();

global.event_score -= 30;

//continue
background_hspeed[1] = -1;
